org.apache.tinkerpop.gremlin.util.function

## Class Lambda.BinaryLambda<A>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda
  - - org.apache.tinkerpop.gremlin.util.function.Lambda.TwoArgLambda<A,A,A>
    - - org.apache.tinkerpop.gremlin.util.function.Lambda.BinaryLambda<A>

- All Implemented Interfaces:
    Serializable, Comparator<A>, BiFunction<A,A,A>, BinaryOperator<A>, Lambda
  Enclosing interface:
    Lambda

      public static class Lambda.BinaryLambda<A>
      extends Lambda.TwoArgLambda<A,A,A>
      implements BinaryOperator<A>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `Lambda.AbstractLambda, Lambda.BinaryLambda<A>, Lambda.OneArgLambda<A,B>, Lambda.TwoArgLambda<A,B,C>, Lambda.UnaryLambda<A>, Lambda.UnknownArgLambda, Lambda.ZeroArgLambda<A>`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `DEFAULT_LAMBDA_LANGUAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryLambda(String lambdaSource, String lambdaLanguage)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.util.function.Lambda.TwoArgLambda

      `apply, compare`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda

      `equals, getLambdaArguments, getLambdaLanguage, getLambdaScript, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.BinaryOperator

      `maxBy, minBy`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen, apply`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `biFunction, biFunction, binaryOperator, comparator, comparator, consumer, consumer, function, function, predicate, predicate, supplier, supplier, unaryOperator, unaryOperator`

- - ### Constructor Detail

    - #### BinaryLambda

          public BinaryLambda(String lambdaSource,
                              String lambdaLanguage)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.